summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman2011-03-05 02:34:53 +0100
committer Robby Workman2011-03-08 19:14:31 +0100
commit814a4f93a6cc0bee94208eb13fb4a17fcd418a63 (patch)
tree1ba8179d95c2097d7d7933f049527678e40d5140
parent67f871c418db7879586fa6f9b5971b9582c74fef (diff)
downloadslackbuilds-814a4f93a6cc0bee94208eb13fb4a17fcd418a63.tar.gz
libraries/perl-Digest-MD4: Digest::MD4 perl module
Signed-off-by: Michiel van Wessem <michiel@slackbuilds.org>
-rw-r--r--libraries/perl-Digest-MD4/README4
-rw-r--r--libraries/perl-Digest-MD4/perl-Digest-MD4.SlackBuild100
-rw-r--r--libraries/perl-Digest-MD4/perl-Digest-MD4.info10
-rw-r--r--libraries/perl-Digest-MD4/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/libraries/perl-Digest-MD4/README b/libraries/perl-Digest-MD4/README
new file mode 100644
index 0000000000..30baf6ac25
--- /dev/null
+++ b/libraries/perl-Digest-MD4/README
@@ -0,0 +1,4 @@
+The Digest::MD4 module allows you to use the RSA Data Security
+Inc. MD5 Message Digest algorithm from within Perl programs. The
+algorithm takes as input a message of arbitrary length and produces
+as output a 128-bit "fingerprint" or "message digest" of the input.
diff --git a/libraries/perl-Digest-MD4/perl-Digest-MD4.SlackBuild b/libraries/perl-Digest-MD4/perl-Digest-MD4.SlackBuild
new file mode 100644
index 0000000000..a7dd5e10fe
--- /dev/null
+++ b/libraries/perl-Digest-MD4/perl-Digest-MD4.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for perl-Digest-MD4
+
+# Copyright 2011 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Digest-MD4
+VERSION=${VERSION:-1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+# Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README Changes $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-Digest-MD4/perl-Digest-MD4.info b/libraries/perl-Digest-MD4/perl-Digest-MD4.info
new file mode 100644
index 0000000000..8bb944ed0f
--- /dev/null
+++ b/libraries/perl-Digest-MD4/perl-Digest-MD4.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Digest-MD4"
+VERSION="1.5"
+HOMEPAGE="http://search.cpan.org/~mikem/Digest-MD4-1.5/MD4.pm"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/M/MI/MIKEM/DigestMD4/Digest-MD4-1.5.tar.gz"
+MD5SUM="594d661c18b46a4aea97931dcaf5ce14"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="Michiel van Wessem"
diff --git a/libraries/perl-Digest-MD4/slack-desc b/libraries/perl-Digest-MD4/slack-desc
new file mode 100644
index 0000000000..d8a78b4beb
--- /dev/null
+++ b/libraries/perl-Digest-MD4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Digest-MD4: perl-Digest-MD4 (Digest::MD4 perl module)
+perl-Digest-MD4:
+perl-Digest-MD4: The Digest::MD4 module allows you to use the RSA Data Security
+perl-Digest-MD4: Inc. MD5 Message Digest algorithm from within Perl programs. The
+perl-Digest-MD4: algorithm takes as input a message of arbitrary length and produces
+perl-Digest-MD4: as output a 128-bit "fingerprint" or "message digest" of the input.
+perl-Digest-MD4:
+perl-Digest-MD4:
+perl-Digest-MD4:
+perl-Digest-MD4:
+perl-Digest-MD4: